<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Componentes</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous" defer></script>
    <link rel="stylesheet" href="css/styles.css">
    <script src="js/script.js" defer></script>
</head>
<body>
    <!-- NAVBAR 1 -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
            <a href="#" class="navbar-brand">Meu Projeto</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
            data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false"
            aria-label="Toggle Navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a href="#" class="nav-link active" aria-current="page">Home</a>
                    </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link" aria-current="page">Produtos</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a href="#" class="nav-link dropdown-toggle" id="navbarDropdown" 
                        role="button" data-bs-toggle="dropdown" aria-expanded="false">Categorias</a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li><a href="#" class="dropdown-item">Categoria A</a></li>
                            <li><a href="#" class="dropdown-item">Categoria B</a></li>
                            <li><a href="#" class="dropdown-item">Categoria C</a></li>
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link active" aria-current="page">Blog</a>
                    </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link active" aria-current="page">Contato</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <!-- NAVBAR 2 -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
            <a href="#" class="navbar-brand">Meu Projeto</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
            data-bs-target="#navbarNav2" aria-controls="navbarNav2" aria-expanded="false"
            aria-label="Toggle Navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav2">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a href="#" class="nav-link active" aria-current="page">Link 1</a>
                    </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link">Link 2</a>
                    </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link">Link 3</a>
                    </li>
                </ul>
            </div>
            <form class="d-flex">
                <input type="search" class="form-control me-2" placeholder="Digite algo..."
                aria-label="Search">
                <button class="btn btn-outline-primary" type="submit">Pesquisar</button>
            </form>
        </div>
    </nav>

    <!-- OFFCANVAS -->
    <div class="container m-4">
        <button class="btn btn-primary" type="button" data-bs-toggle="offcanvas" 
        data-bs-target="#offcanvasRight" aria-controls="offcanvasRight">Abrir Carrinho</button>
        <div class="offcanvas offcanvas-end" tabindex="-1" id="offcanvasRight" aria-labelledby="offcanvasLabel">
            <div class="offcanvas-header">
                <h5 id="offcanvasLabel">Carrinho</h5>
                <button class="btn-close text-reset" type="button"
                data-bs-dismiss="offcanvas" aria-label="Close"></button>
            </div>
            <div class="offcanvas-body">
                <ul>
                    <li>Produto 1</li>
                    <li>Produto 2</li>
                    <li>Produto 3</li>
                </ul>
            </div>
        </div>
    </div>

    <!-- PAGINATION -->
    <div class="container mb-4">
        <nav aria-label="Page navigation">
            <ul class="pagination">
                <li class="page-item"><a href="#" class="page-link">Anterior</a></li>
                <li class="page-item"><a href="#" class="page-link">1</a></li>
                <li class="page-item active"><a href="#" class="page-link">2</a></li>
                <li class="page-item"><a href="#" class="page-link">3</a></li>
                <li class="page-item"><a href="#" class="page-link">Próxima</a></li>
            </ul>
        </nav>
    </div>

    <!-- POPOVER -->
    <div class="container mb-4">
        <button class="btn btn-lg btn-success" type="button"
        data-bs-toggle="popover" title="Este é o título"
        data-bs-content="E aqui podemos inserir a descrição">
            Clique aqui!
        </button>
    </div>

    <div class="container mb-4">
        <button class="btn btn-lg btn-danger" type="button"
        data-bs-toggle="popover" title="Este é o título 2"
        data-bs-content="E aqui podemos inserir a descrição 2">
            Clique aqui!
        </button>
    </div>

    <!-- PROGRESS (barra de progresso para upload ou download de arquivos)-->
    <div class="container mb-4">
        <div class="progress mb-4">
            <div class="progress-bar" role="progressbar"
            aria-valuenow="0" aria-valuemin="0" aria-value-max="100"></div>
        </div>
        <div class="progress mb-4">
            <div class="progress-bar" role="progressbar" style="width:25%;"
            aria-valuenow="25" aria-valuemin="0" aria-value-max="100"></div>
        </div>
        <div class="progress mb-4">
            <div class="progress-bar" role="progressbar" style="width:50%;"
            aria-valuenow="50" aria-valuemin="0" aria-value-max="100"></div>
        </div>
        <div class="progress mb-4">
            <div class="progress-bar bg-success" role="progressbar" style="width:75%;"
            aria-valuenow="75" aria-valuemin="0" aria-value-max="100"></div>
        </div>
        <div class="progress mb-4">
            <div class="progress-bar bg-danger" role="progressbar" style="width:85%;"
            aria-valuenow="85" aria-valuemin="0" aria-value-max="100"></div>
        </div>
        <div class="progress mb-4">
            <div class="progress-bar progress-bar-striped bg-warning" role="progressbar" 
            style="width:95%;" aria-valuenow="95" aria-valuemin="0" 
            aria-value-max="100"></div>
        </div>
    </div>

    <!-- SCROLL SPY -->
    <nav id="scrollspy" class="navbar navbar-light bg-light px-3 mb-4">
        <a href="#" class="navbar-brand">Minha Marca</a>
        <ul class="nav">
            <li class="nav-item">
                <a href="#secao-1" class="nav-link">Seção 1</a>
            </li>
            <li class="nav-item">
                <a href="#secao-2" class="nav-link">Seção 2</a>
            </li>
        </ul>
    </nav>

    <div data-bs-spy="scroll" data-bs-target="#scrollspy" data-bs-offset="0" tabindex="0">
        <h4 id="secao-1">Seção 1</h4>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <h4 id="secao-2">Seção 2</h4>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
        <p class="mb-4">Conteúdo</p>
    </div>

    <!-- TOAST -->
    <div class="position-fixed bottom-0 end-0 p-3" style="z-index:11;">
        <div id="liveToast" class="toast show" role="alert"
        aria-live="assertive" aria-atomic="true">
            <div class="toast-header">
                <strong class="me-auto">Sistema</strong>
                <small>11 minutos atrás</small>
                <button class="btn-close" type="button" data-bs-dismiss="toast"
                aria-label="Close"></button>
            </div>
            <div class="toast-body">
                Esta é a mensagem do sistema...
            </div>
        </div>
    </div>

    <!-- TOOLTIP -->
    <div class="container">
        <button class="btn btn-secondary" type="button" data-bs-toggle="tooltip"
        data-bs-placement="top" title="Aqui vai uma dica!">
        Este botão tem tooltip</button>
    </div>
    
</body>
</html>